Use the supplied and supportable versions of the OS from them. "nlited" may be something fun to try but no one could support that.